diff -urN mountapp-3.0/src/properties.c mountapp-3.1/src/properties.c
--- mountapp-3.0/src/properties.c	2002-12-06 16:14:02.000000000 +0100
+++ mountapp-3.1/src/properties.c	2006-11-19 15:59:12.000000000 +0100
@@ -479,10 +479,9 @@
     if (*buf)
         return buf;
 
-    /* File name should default to $HOME/GNUstep/Defaults/mount.app
-     * but should allow $GNUSTEP_USER_PATH/Defaults/mount.app and
-     * even expand ~ into $HOME if it's used in GNUSTEP_USER_PATH.  All
-     * without allowing any buffer overflows.
+    /* Hacked by Michael Bueker: The config file simply gets
+     * written to $HOME/.mount.app/ instead of a dir related
+     * to GNUstep.
      */
     if (((home = getenv("HOME")) == 0) || strlen(home) > 100)
     {
@@ -490,17 +489,7 @@
         exit(1);
     }
 
-    if ((str = getenv("GNUSTEP_USER_PATH")) == 0)
-        sprintf(buf, "%s/GNUstep", home);
-    else
-    {
-        if (*str == '~')
-            sprintf(buf, "%s/%.*s", home, 50, str + 2);
-        else
-            safeCopy(buf, str, 50);
-    }
-
-    strcat(buf, "/Defaults/mount.app");
+    sprintf(buf, "%s/.mount.app/mount.app", home);
 
     return buf;
 }
